Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSServiceObservingStatusParameters Class Reference

This class represents the details about the service observing status parameters. More...

`#import <CSServiceObservingStatusParameters.h>`

Inherits NSObject.

## Properties
NSString * | nativeExtension
| Represents the information about the extension of the endpoint used by the observer. More...
NSString * | serviceObservingExtension
| Represents the information about the extension being observed. More...
CSServiceObservingType | serviceObservingType
| Represents service observing type. More...
CSServiceObservingMode | serviceObservingMode
| Indicates whether the observer will join the call in "listen-only" or "listen-talk" mode in "listen-only" or "listen-talk" mode. More...
NSString * | displayText
| When there is no error response code present, this field provides a text string that the endpoint renders on the display when responding to a feature operation. More...
NSInteger | serviceObservingLocation
| The location number associated with the observed VDN. More...
BOOL | coachingOptionEnabled
| Indicates whether coaching option for service observing is enabled. More...
BOOL | listenOnlyOptionEnabled
| Indicates whether listen only option for service observing is enabled. More...

## Detailed Description

This class represents the details about the service observing status parameters.

See also
  CSCallFeatureService::serviceObservingStatusParameters

## Property Documentation

- (BOOL) coachingOptionEnabled
| read nonatomic assign

Indicates whether coaching option for service observing is enabled.

Returns
  True if coaching option available. False otherwise.

- (NSString*) displayText
| read nonatomic assign

When there is no error response code present, this field provides a text string that the endpoint renders on the display when responding to a feature operation.

i.e. "VDN xxx-xxxx SO" indicates that VDN (vector directory number) xxx-xxxx is being service observed.

- (BOOL) listenOnlyOptionEnabled
| read nonatomic assign

Indicates whether listen only option for service observing is enabled.

Returns
  True if ListenOnly option available. False otherwise.

- (NSString*) nativeExtension
| read nonatomic assign

Represents the information about the extension of the endpoint used by the observer.

- (NSString*) serviceObservingExtension
| read nonatomic assign

Represents the information about the extension being observed.

- (NSInteger) serviceObservingLocation
| read nonatomic assign

The location number associated with the observed VDN.

- (CSServiceObservingMode) serviceObservingMode
| read nonatomic assign

Indicates whether the observer will join the call in "listen-only" or "listen-talk" mode in "listen-only" or "listen-talk" mode.

- (CSServiceObservingType) serviceObservingType
| read nonatomic assign

Represents service observing type.

( Basic | No-Talk | Next-Cal | By-Location )

The documentation for this class was generated from the following file:

- CSServiceObservingStatusParameters.h